Summary:	Flight Recorder Downloader
Name:		frdl
Version:	0.29
Release:	2%{?dist}
# ASL 2.0 applies only to postgresql-jdbc.pom file, the rest is BSD
License:	GNU/GPL
Group:		Applications/Utility
URL:		http://www.flymicro.com/frdl/

Source0:	%{name}-%{version}.tar.gz
Patch0:		frdl-0.29-javadoc.patch

BuildArch:	noarch
BuildRequires:	java-devel >= 1:1.8
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	junit
BuildRequires:	joda-time
# gettext is only needed if we try to update translations
#BuildRequires:	gettext
Requires:	jpackage-utils
Requires:	java  >= 1:1.8

%description
FRDL is designed for Microlight and Paramotor competition organizers, and for team leaders
or pilots to all quickly reliably and painlessly extract track data relavent to competition
tasks from a variety of different GPS flight loggers, and then convert it into the FAI CIMA
specified format for detailed examination in a flight analysis program.

%package javadoc
Summary:        API docs for %{name}
Group:          Documentation

%description javadoc
This package contains the API Documentation for %{name}.


%prep
%setup -c -q -n FRDL
%patch0 -p1 -b .javadoc

%build
export OPT_JAR_LIST="ant/ant-junit junit joda-time"
export CLASSPATH=

ant

%install
install -d $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/FRDL.jar $RPM_BUILD_ROOT%{_javadir}/FRDL.jar


install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -ra dist/javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}
#install -d build/publicapi docs/%{name}


%check
%if 0%{?runselftest}
test_log=test.log
# TODO: more reliable testing
ant test 2>&1 | tee "$test_log" || :
( test -f "$test_log" && ! grep FAILED "$test_log" )

%endif


%files
%doc 
%{_javadir}/FRDL.jar

%files javadoc
#%doc LICENSE
%doc %{_javadocdir}/%{name}

%changelog
* Wed Aug 26 2015 Jozef Mlich <imlich@fit.vutbr.cz> - 0.29-2
- fix javadoc warnings and errors

* Mon May 11 2015 Jozef Mlich <jmlich@redhat.com> - 0.29-1
- Initial packaging
